%define name libtool
%define version 1.3.5
%define release 2mdk

Summary: The GNU libtool, which simplifies the use of shared libraries.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Other
Source: ftp://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.bz2
Patch1: libtool-1.2f-cache.patch.bz2
Prefix: %{_prefix}
URL: http://www.gnu.org/software/libtool/libtool.html
PreReq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description
The libtool package contains the GNU libtool, a set of shell scripts
which automatically configure UNIX and UNIX-like architectures to
generically build shared libraries.  Libtool provides a consistent,
portable interface which simplifies the process of using shared
libraries.

If you are developing programs which will use shared libraries, you
should install libtool.

%package devel
Group: Development/C
Summary: Development files for libtool
Requires: libtool = %{version}

%description devel
Development headers, and files for development from the libtool package.

%prep
%setup -q
%patch1 -p1

%build
%configure
make -C doc
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info


%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%doc THANKS TODO ChangeLog 
%{_bindir}/*
%{_infodir}/libtool.info*
%{_datadir}/libtool
%{_datadir}/aclocal/libtool.m4
%{_libdir}/*.so.*
%{_libdir}/*.la

%files devel
%defattr(-,root,root)
%doc demo
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so

%changelog

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.5-2mdk
- BM
- remove reverted patch :-( (grrrr)
  from the spec : "i suck --Geoff" :-)
- make rpmlint go to paradise

* Wed Jun 21 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.3.5-1mdk
- picks up $arch-mandrake-linux-gnu not $arch-pc-linux-gnu (patch)
  well, for x86 and alpha anyway, maybe ultrasparc too ??
- new version
- fix bad source url
- add libtool url
- add devel package
- Chmouel Boudjnah <chmouel@mandrakesoft.com> - Spec Cleanup
  (makeinstall etc..).

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.4-2mdk
- updated BuildRoot
- group new Development/Other

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4.

* Wed Dec  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Sun Nov 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Mon Oct 25 1999  Jeff Garzik  <jgarzik@pobox.com>
- Import RedHat 6.1 spec
- s/gzip/bzip2/ for info documentation

* Thu Jul 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.3.

* Mon Jun 14 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.2.

* Tue May 11 1999 Jeff Johnson <jbj@redhat.com>
- explicitly disable per-arch libraries (#2210)
- undo hard links and remove zero length file (#2689)

* Sat May  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- disable the --cache-file passing to ltconfig; this breaks the older
  ltconfig scripts found around.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2f

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- completed arm patch
- added patch to make it more arm-friendly
- upgrade to version 1.2d

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- fixed busted group

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- Update to 1.0h
- added install-info support

* Tue Nov 25 1997 Elliot Lee <sopwith@redhat.com>
- Update to 1.0f
- BuildRoot it
- Make it a noarch package
